#include <stdlib.h>
#include <unistd.h> 
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include "move2cpp.h"

#ifndef PI
#define PI 3.1415
#endif
#define N_LINES_MOVE 23

int 
convert2cpp(char* path, T_movement* m){
	int fd;
	char buff[255];
	int i;

	fd=open(path, O_CREAT | O_WRONLY | O_TRUNC, 00600);
	if (fd==-1){
		printf("NaoOperator: cannot open or create the expecified file (%s).\n",path);
		return 0;
	}
	sprintf(buff,"void mymove(AL::ALMotionProxy* motionProxy){\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tunsigned int i;\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tAL::ALValue motors, allAngles, allTimes, times;\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tAL::ALValue	angles_head_yaw,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_head_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_shoulder_p,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_shoulder_r, \n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_elbow_y,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_elbow_r,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_shoulder_p,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_shoulder_r, \n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_elbow_y,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_elbow_r,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_hip_yaw,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_hip_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_hip_roll,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_knee_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_ankle_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_r_ankle_roll,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_hip_yaw,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_hip_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_hip_roll,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_knee_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_ankle_pitch,\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tangles_l_ankle_roll;\n\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"HeadYaw\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"HeadPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RShoulderPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RShoulderRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RElbowYaw\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RElbowRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LShoulderPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LShoulderRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LElbowYaw\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LElbowRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RHipRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RHipPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RHipYawPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RKneePitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RAnklePitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"RAnkleRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LHipRoll\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LHipPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LHipYawPitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LKneePitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LAnklePitch\");\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotors.arrayPush(\"LAnkleRoll\");\n\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}

	for (i=0; i<m->counter; i++){
		sprintf(buff,"\ttimes.arrayPush(%f);\n",m->position[i].time);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_head_yaw.arrayPush(%f);\n",m->position[i].head_yaw*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_head_pitch.arrayPush(%f);\n",m->position[i].head_pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_shoulder_p.arrayPush(%f);\n",m->position[i].right_shoulder.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_shoulder_r.arrayPush(%f);\n",m->position[i].right_shoulder.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_elbow_y.arrayPush(%f);\n",m->position[i].right_elbow.yaw*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_elbow_r.arrayPush(%f);\n",m->position[i].right_elbow.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_shoulder_p.arrayPush(%f);\n",m->position[i].left_shoulder.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_shoulder_r.arrayPush(%f);\n",m->position[i].left_shoulder.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_elbow_y.arrayPush(%f);\n",m->position[i].left_elbow.yaw*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_elbow_r.arrayPush(%f);\n",m->position[i].left_elbow.roll*PI/180);		
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_hip_yaw.arrayPush(%f);\n",m->position[i].right_hip.yaw*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_hip_pitch.arrayPush(%f);\n",m->position[i].right_hip.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_hip_roll.arrayPush(%f);\n",m->position[i].right_hip.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_knee_pitch.arrayPush(%f);\n",m->position[i].right_knee.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_ankle_pitch.arrayPush(%f);\n",m->position[i].right_ankle.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_r_ankle_roll.arrayPush(%f);\n",m->position[i].right_ankle.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_hip_yaw.arrayPush(%f);\n",m->position[i].left_hip.yaw*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_hip_pitch.arrayPush(%f);\n",m->position[i].left_hip.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_hip_roll.arrayPush(%f);\n",m->position[i].left_hip.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_knee_pitch.arrayPush(%f);\n",m->position[i].left_knee.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_ankle_pitch.arrayPush(%f);\n",m->position[i].left_ankle.pitch*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"\tangles_l_ankle_roll.arrayPush(%f);\n",m->position[i].left_ankle.roll*PI/180);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
	}
	for (i=0; i<22; i++){ //number of motors
		sprintf(buff,"\tallTimes.arrayPush(times);\n");
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_head_yaw);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_head_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_shoulder_p);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_shoulder_r);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_elbow_y);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_elbow_r);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_shoulder_p);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_shoulder_r);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_elbow_y);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_elbow_r);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_hip_roll);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_hip_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_hip_yaw);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_knee_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_ankle_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_r_ankle_roll);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_hip_roll);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_hip_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_hip_yaw);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_knee_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_ankle_pitch);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tallAngles.arrayPush(angles_l_ankle_roll);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tint smoothInterpolation = 1;\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"\tmotionProxy->post.doMove(motors,allAngles,allTimes,smoothInterpolation);\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	sprintf(buff,"}\n");
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	if (close(fd)==-1)
		return 0;
	else
		return 1;
}
	
					 
					
int
convert2conf(char* path, T_movement* m){
	int fd;
	char buff[255];
	int i;

	fd=open(path, O_CREAT | O_WRONLY | O_TRUNC, 00600);
	if (fd==-1){
		printf("NaoOperator: cannot open or create the expecified file (%s).\n",path);
		return 0;
	}
	sprintf(buff,"%d\n",m->counter);
	if (write(fd,buff,strlen(buff))==-1){
		printf("NaoOperator: error writing into %s.\n",path);
		return 0;
	}
	for (i=0; i<m->counter; i++){
		sprintf(buff,"time %f\n",m->position[i].time);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"head_yaw %f\n",m->position[i].head_yaw);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"head_pitch %f\n",m->position[i].head_pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_shoulder.pitch %f\n",m->position[i].right_shoulder.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_shoulder.roll %f\n",m->position[i].right_shoulder.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_elbow.yaw %f\n",m->position[i].right_elbow.yaw);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_elbow.roll %f\n",m->position[i].right_elbow.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_shoulder.pitch %f\n",m->position[i].left_shoulder.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_shoulder.roll %f\n",m->position[i].left_shoulder.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_elbow.yaw %f\n",m->position[i].left_elbow.yaw);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_elbow.roll %f\n",m->position[i].left_elbow.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_hip.yaw %f\n",m->position[i].right_hip.yaw);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_hip.pitch %f\n",m->position[i].right_hip.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_hip.roll %f\n",m->position[i].right_hip.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_knee.pitch %f\n",m->position[i].right_knee.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_ankle.pitch %f\n",m->position[i].right_ankle.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"right_ankle.roll %f\n",m->position[i].right_ankle.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_hip.yaw %f\n",m->position[i].left_hip.yaw);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_hip.pitch %f\n",m->position[i].left_hip.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_hip.roll %f\n",m->position[i].left_hip.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_knee.pitch %f\n",m->position[i].left_knee.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_ankle.pitch %f\n",m->position[i].left_ankle.pitch);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
		sprintf(buff,"left_ankle.roll %f\n",m->position[i].left_ankle.roll);
		if (write(fd,buff,strlen(buff))==-1){
			printf("NaoOperator: error writing into %s.\n",path);
			return 0;
		}
	}
	if (close(fd)==-1)
		return 0;
	else
		return 1;
}

int
load_movesfile(char* path, T_movement* m){
	FILE *myfile;
	char line[255];
	char word1[255], word2[255];
	int i,k;
	int counter;
	float value;

	if ((myfile=fopen(path,"r"))==NULL){
		printf("NaoOperator: cannot open the expecified file (%s).\n",path);
		return 0;
	}
	if (!fgets(line,255,myfile))
		return 0;
	counter=atoi(line);
	m->counter=counter;
	printf("NaoOperator:file %s, loaded with: %d positions\n",path,counter);
	for (i=0; i<counter; i++){
		m->position[i].saved=1;
		for (k=0; k<N_LINES_MOVE;k++){
			if (fgets(line,255,myfile)){
				sscanf(line,"%s %s",word1,word2);
				value=atof(word2);
				switch (k){
					case 0:
						if (strcmp(word1,"time")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].time=value;
						break;
					case 1:
						if (strcmp(word1,"head_yaw")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].head_yaw=value;
						break;
					case 2:
						if (strcmp(word1,"head_pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].head_pitch=value;
						break;
					case 3:
						if (strcmp(word1,"right_shoulder.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_shoulder.pitch=value;
						break;
					case 4:
						if (strcmp(word1,"right_shoulder.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_shoulder.roll=value;
						break;
					case 5:
						if (strcmp(word1,"right_elbow.yaw")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_elbow.yaw=value;
						break;
					case 6:
						if (strcmp(word1,"right_elbow.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_elbow.roll=value;
						break;
					case 7:
						if (strcmp(word1,"left_shoulder.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_shoulder.pitch=value;
						break;
					case 8:
						if (strcmp(word1,"left_shoulder.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_shoulder.roll=value;
						break;
					case 9:
						if (strcmp(word1,"left_elbow.yaw")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_elbow.yaw=value;
						break;
					case 10:
						if (strcmp(word1,"left_elbow.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_elbow.roll=value;
						break;
					case 11:
						if (strcmp(word1,"right_hip.yaw")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						printf("valor del yaw: %f\n",value);
						m->position[i].right_hip.yaw=value;
						break;
					case 12:
						if (strcmp(word1,"right_hip.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_hip.pitch=value;
						break;
					case 13:
						if (strcmp(word1,"right_hip.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_hip.roll=value;
						break;
					case 14:
						if (strcmp(word1,"right_knee.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_knee.pitch=value;
						break;
					case 15:
						if (strcmp(word1,"right_ankle.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_ankle.pitch=value;
						break;
					case 16:
						if (strcmp(word1,"right_ankle.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].right_ankle.roll=value;
						break;
					case 17:
						if (strcmp(word1,"left_hip.yaw")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_hip.yaw=value;
						break;
					case 18:
						if (strcmp(word1,"left_hip.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_hip.pitch=value;
						break;
					case 19:
						if (strcmp(word1,"left_hip.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_hip.roll=value;
						break;
					case 20:
						if (strcmp(word1,"left_knee.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_knee.pitch=value;
						break;
					case 21:
						if (strcmp(word1,"left_ankle.pitch")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_ankle.pitch=value;
						break;
					case 22:
						if (strcmp(word1,"left_ankle.roll")!=0){
							printf("NaoOperator: config file error al line %d (%s).\n",k+1,line);
							return -1;
						}
						m->position[i].left_ankle.roll=value;
						break;

				}
			}
			else{
				printf("NaoOperator: config file error\n");
			}
		}
	}
	if (fclose(myfile)==-1){
		printf("ERROR EN EL FICHERO\n");
		return 0;
	}
	else{
		printf("fichero cerrado corredtamente\n");
		return 1;
	}

}
					
